PETSc version 3.15.5
Fix/Edit manual page

# PetscSubcommSetTypeGeneral

Set a PetscSubcomm from user's specifications

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommSetTypeGeneral(PetscSubcomm psubcomm,PetscMPIInt color,PetscMPIInt subrank)

Collective

### Input Parameter

| psubcomm | - PetscSubcomm context
| color | - control of subset assignment (nonnegative integer). Processes with the same color are in the same subcommunicator.
| subrank | - rank in the subcommunicator

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetNumber(),PetscSubcommSetType()

### Level

advanced

### Location

src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages